function [bod_x, bod_y, uhly, delka_osy] = vykresleni_osy(hObject, eventdata, handles,vychylky)
%VYKRESLENI_OSY Funkce vypočte paramentry srdeční osy

vychylky_ulozeni=vychylky;
vychylky=[];
vychylky(1,:)=vychylky_ulozeni.I;
vychylky(2,:)=vychylky_ulozeni.II;
vychylky=vychylky.*5;
axes(handles.axes5);
axis([-1 11 -1 9.5]); hold on;

 h=(sin(pi/3))*10;
 stred_top=[5 h];
 stred_left=[2.5 h/2];
 stred_right=[7.5 h/2];
 
h=(sin(pi/3))*10;
plot([0 5],[h 0]); hold on;
plot([5 10],[0 h]); hold on;
plot([0 10],[h h]); hold on;

 stred_y=2*(sin(pi/6))*((2*h)/3);
x=5;
y=stred_y;
r=h/3;

ang=0:0.01:2*pi; 
xp=r*cos(ang);
yp=r*sin(ang);
plot(x+xp,y+yp);

line([5 5],[h/3 h])
line([(5-(h/3)) (5+(h/3))],[stred_y stred_y])
line([stred_left(1) 5+((cos(pi/6))*r)],[stred_left(2) stred_y+((sin(pi/6))*r)])
line([5-((sin(pi/6))*r) 5+((sin(pi/6))*r)],[stred_y-((cos(pi/6))*r) stred_y+((cos(pi/6))*r)])
line([5-((sin(pi/6))*r) 5+((sin(pi/6))*r)],[stred_y+((cos(pi/6))*r) stred_y-((cos(pi/6))*r)])
line([5-((cos(pi/6))*r) 7.5],[stred_y+((sin(pi/6))*r) h/2])

text((4.1-(h/3)),stred_y,'±180°')
text((5.1+(h/3)),stred_y,'0°')
text(5-0.2,h+0.3,'-90°')
text(5-0.2,(h/3)-0.3,'+90°')

    
for i=1:length(vychylky);    
    % I
    I=vychylky(1,i)+stred_top(1);
    

    % II
    posun_II_x=(cos(pi/3))*vychylky(2,i);
    posun_II_y=(cos(pi/6))*vychylky(2,i);
    II_x=stred_left(1)+posun_II_x;
    II_y=stred_left(2)-posun_II_y;


    % střed trojúhelníku
    stred_y=2*(sin(pi/6))*((2*h)/3);
    
    % výpočet souřadnic hrotu osy
    A= I-II_x;
    B= A/(cos(pi/6));
    C= sqrt(((B.^2)-(A.^2)));
    bod_x(i)=II_x+A;
    bod_y(i)=II_y+C;
    hold on;

end

% ošetření hodnot pro všechny kvadranty
delka_osy=[];
uhly=[];
vychylky_I=vychylky(1,:);
vychylky_II=vychylky(2,:);
for a=1:length(vychylky_I)
    uhly(a)=atan((2*(vychylky_II(a))-(vychylky_I(a)))/((sqrt(3))*vychylky_I(a)));
      
        if bod_x(a)<5 && bod_y(a)<((2*h)/3)
            uhly(a)=uhly(a)+pi;
        elseif bod_x(a)<5 && bod_y(a)>((2*h)/3)
            uhly(a)=uhly(a)-pi;
        end
    
end
uhly_v_rad=uhly;
uhly=uhly.*(180/pi);
uhly=round(uhly);

%určení délky osy
delka_osy=[];
delka_x_osy=[]; %délka x-ové složky

for u=1:length(bod_x)
    delka_x_osy(u)=abs(bod_x(u)-5);
end

for u=1:length(uhly)
    
        if bod_x(u)<5 && bod_y(u)<((2*h)/3)
            uhly_v_rad(u)=pi-uhly_v_rad(u);
        elseif bod_x(u)<5 && bod_y(u)>((2*h)/3)
            uhly_v_rad(u)=pi+uhly_v_rad(u);
        elseif bod_x(u)>5 && bod_y(u)>((2*h)/3)
            uhly_v_rad(u)=abs(uhly_v_rad(u));
        end
    delka_osy(u)=delka_x_osy(u)/(cos(uhly_v_rad(u))); %délka osy
end
    


end

